<?php 
require_once('../modelos/Funeraria.php');

$funeraria=new Funeraria();

$idfuneraria=isset($_POST["idfuneraria"])? limpiarCadena($_POST["idfuneraria"]):"";
$nombre=isset($_POST["nombre"])? limpiarCadena($_POST["nombre"]):"";
$direccion=isset($_POST["direccion"])? limpiarCadena($_POST["direccion"]):"";

switch ($_GET["op"])
{

    case 'guardaryeditar_funeraria':
      if(empty($idfuneraria))
      {
        $rspta=$funeraria->insertar($nombre,$direccion);
        echo $rspta ? "Funeraria Registrado" : "Funeraria no se pudo registrar";
      }
      else {
        {
          $rspta=$funeraria->editar($idfuneraria,$nombre,$direccion);
          echo $rspta ? "Funeraria Actualizada" : "Funeraria no se pudo actualizar";
        }
      }
    break;

    case 'mostrar':
      $rspta=$funeraria->mostrar($idfuneraria);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;


    case 'eliminar':
      $rspta=$funeraria->eliminar($idfuneraria);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

     case 'listarfuneraria':
      $rspta=$funeraria->listarfuneraria();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->direccion,
          "2"=>'<a href="create.php?idfuneraria=' . $reg->idfuneraria . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>' .
          ' <button class="btn btn-danger btn-xs btn-flat" onclick="eliminar(' . $reg->idfuneraria . ')"><i class="fas fa-trash-alt"></i></button>'
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'selectFuneraria':
          $rspta = $funeraria->listarfuneraria();
          if ($rspta) {
            while ($reg = $rspta->fetch_object()) {
                //echo "<option value='" . htmlspecialchars($reg->idpersona, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . "</option>";
                echo "<option value='" . htmlspecialchars($reg->idfuneraria, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->nombre, ENT_QUOTES, 'UTF-8') . " </option>";
            }
        } else {
            echo "<option value=''>No hay difunto disponibles</option>";
        }
        break;

}